package com.dev.lavin.bcard.main.cards.edit

import com.dev.lavin.bcard.base.BaseView
import com.dev.lavin.domain2.model.Card


/**
 * Created by lavin
 * on 16/04/2018.
 */
interface EditCardView : BaseView {
    fun setUp()
    fun setErrorService(message: String)
    fun showLoading()
    fun hideLoading()
    fun onCardEdited(eventMap: MutableMap<String, Any>)
    fun hideKeyboard()
    fun showInvalidFieldsError()
    fun setUpCurrentValues(card: Card)
}