package com.dev.lavin.bcard.main.events.detail

import com.dev.lavin.bcard.base.BaseView
import com.dev.lavin.domain2.model.Card
import com.dev.lavin.domain2.model.Event


/**
 * Created by lavin
 * on 16/04/2018.
 */
interface EventDetailView: BaseView {
    fun setCardList(cardList: MutableList<Card>)
    fun setEventInfo(event: Event?)
    fun hideLoading()
    fun showLoading()
    fun showServiceError(message: String)
    fun setEmptyView()
    fun setEmptyCardsView()
    fun showAddLoading()
    fun hideAddLoading()
    fun onCardAdded()
}