package com.dev.lavin.bcard.main.events.edit

import com.dev.lavin.bcard.base.BaseView
import com.dev.lavin.domain2.model.Event


/**
 * Created by lavin
 * on 16/04/2018.
 */
interface EditEventView: BaseView {
    fun setUp()
    fun setUpCurrentValues(event: Event)
    fun showLoading()
    fun hideLoading()
    fun showServiceError(message: String)
    fun hideKeyboard()
    fun showInvalidFieldsError()
    fun onEventEdited(eventMap: MutableMap<String, Any>)
}