package com.dev.lavin.bcard.main.profile

import com.dev.lavin.bcard.base.BaseView
import com.dev.lavin.domain2.model.Card


/**
 * Created by lavin
 * on 16/04/2018.
 */
interface ProfileView: BaseView {
    fun setProfileInfo(name: String?, url: String?)
    fun setCardList(cardList: MutableList<Card>)
    fun setEmptyCards()
    fun showError(message: String)
    fun logOut()
}