package com.dev.lavin.bcard.utils

import com.dev.lavin.domain2.model.Event

/**
 * Created by lavin
 * on 22/04/2018.
 */
class EventsUtils {

    companion object {

        fun addCards(eventList: MutableMap<String, MutableList<Event>>, eventListView: MutableList<Event>?) {
            if (eventList.isNotEmpty() && eventList.containsKey("added") && eventList["added"] != null && eventList["added"]!!.size > 0) {
                eventListView?.addAll(eventList["added"]!!)
            }
        }

        fun modifyCards(eventList: MutableMap<String, MutableList<Event>>, eventListView: MutableList<Event>?) {
            if (eventListView != null && eventList.isNotEmpty() && eventList.containsKey("modified") && eventList["modified"] != null && eventList["modified"]!!.size > 0) {
                for (item: Event in eventList["modified"]!!) {
                    if (item.id != null) {
                        val id: String = item.id!!
                        for (i in eventListView.indices) {
                            if (eventListView[i].id == id) {
                                eventListView[i] = item
                            }
                        }
                    }
                }
            }
        }
    }

}