package com.dev.lavin.data.entities.mappers

import com.dev.lavin.data.entities.card.CardEntity
import com.dev.lavin.domain2.model.Card

/**
 * Created by lavin
 * on 19/04/2018.
 */
class CardToCardEntityMapper : Mapper<Card, CardEntity>() {
    override fun map(value: Card): CardEntity {
        throw UnsupportedOperationException()
    }

    override fun reverseMap(value: CardEntity): Card {
        val card = Card()
        card.companyFormmated = "@" + value.company
        card.company = value.company
        card.email = value.email
        card.name = value.name
        card.notes = value.notes
        card.phone = value.phone
        card.userId = value.user_id
        if (value.events != null) {
            card.events = value.events
        } else {
            card.events = HashMap()
        }
        if (value.users != null) {
            card.users = value.users
        } else {
            card.users = HashMap()
        }
        card.web = value.website
        card.captionImageUrl = value.caption_url
        card.timestamp = value.timestamp
        card.position = value.position
        card.userImageUrl = value.user_image_url
        card.id = value.CardId
        return card
    }
}