package com.dev.lavin.data.entities.mappers

import com.dev.lavin.data.entities.event.EventEntity
import com.dev.lavin.domain2.model.Event
import java.util.*
import kotlin.collections.HashMap

/**
 * Created by lavin
 * on 22/04/2018.
 */
class EventToEventEntityMapper : Mapper<Event, EventEntity>() {
    override fun map(value: Event): EventEntity {
        throw UnsupportedOperationException()
    }

    override fun reverseMap(value: EventEntity): Event {
        val event = Event()
        event.name = value.name
        event.timestampLong = value.timestamp
        if (value.timestamp != null) {
            event.timestamp = Date(value.timestamp!!)
        }
        if (value.cards != null) {
            event.cards = value.cards
        } else {
            event.cards = HashMap()
        }
        event.id = value.EventId
        event.user_id = value.user_id
        event.location = value.location
        event.locationFormatted = "@" + value.location
        event.subject = value.category
        event.eventImageUrl = value.event_image_url
        event.description = value.description
        event.time = value.time
        return event
    }
}