package com.dev.lavin.domain2.boundaries


/**
 * Created by Jorge Lavin on 16/04/18.
 */

interface LoginRepoInterface {

    fun login(user: String,
              pass: String,
              loginResponseListener: LoginResponseListener)

    interface LoginResponseListener {

        fun onLoginSuccesResponse()

        fun onLoginFailureAuth(message: String)
    }
}
