package com.dev.lavin.domain2.boundaries

import android.net.Uri


/**
 * Created by Jorge Lavin on 16/04/18.
 */

interface RegisterRepoInterface {

    fun register(user: String, pass: String, name: String, url: Uri,
                 registerResponseListener: RegisterResponseListener)

    interface RegisterResponseListener {

        fun onRegisterSuccesResponse()

        fun onRegisterFailureAuth(message: String)

        fun onRegisterImageFailure(message: String)
    }
}
