package com.dev.lavin.domain2.boundaries


/**
 * Created by Jorge Lavin on 16/04/18.
 */

interface ResetPasswordRepoInterface {

    fun resetPassword(email: String, resetPasswordResponseListener: ResetPasswordResponseListener)

    interface ResetPasswordResponseListener {

        fun onResetPasswordSuccesResponse()

        fun onResetPasswordUserNotFound()

        fun onResetPasswordFailureAuth(message: String)
    }
}
