package com.dev.lavin.bcard.main.contacts

import com.dev.lavin.bcard.base.BaseView
import com.dev.lavin.domain2.model.Card


/**
 * Created by lavin
 * on 16/04/2018.
 */
interface ContactsView: BaseView {
    fun setCardList(cardList: MutableList<Card>)
    fun setEmptyContacts()
    fun showLoading()
    fun hideLoading()
    fun setConnectionError()
    fun showError(message: String)
    fun showAddLoading()
    fun hideAddLoading()
    fun onCardAdded()
}