package com.dev.lavin.bcard.utils

import com.dev.lavin.domain2.model.Card

/**
 * Created by lavin
 * on 22/04/2018.
 */
class CardUtils {

    companion object {

        fun addCards(cardList: MutableMap<String, MutableList<Card>>, cardListView: MutableList<Card>?) {
            if (cardList.isNotEmpty() && cardList.containsKey("added") && cardList["added"] != null && cardList["added"]!!.size > 0) {
                cardListView?.addAll(0, cardList["added"]!!)
            }
        }

        fun modifyCards(cardList: MutableMap<String, MutableList<Card>>, cardListView: MutableList<Card>?) {
            if (cardListView != null && cardList.isNotEmpty() && cardList.containsKey("modified") && cardList["modified"] != null && cardList["modified"]!!.size > 0) {
                for (item: Card in cardList["modified"]!!) {
                    if (item.id != null) {
                        val id: String = item.id!!
                        for (i in cardListView.indices) {
                            if (cardListView[i].id == id) {
                                cardListView[i] = item
                            }
                        }
                    }
                }
            }
        }
    }

}