package com.dev.lavin.data.di


import com.dev.lavin.data.di.scopes.PerRepository
import com.dev.lavin.data.services.*

import dagger.Subcomponent


@PerRepository
@Subcomponent(modules = [(BaseRepositoryModule::class)])
interface BaseRepositoryComponent {

    fun inject(loginService: LoginService)

    fun inject(registerService: RegisterService)

    fun inject(profileService: ProfileService)

    fun inject(eventsService: EventsService)

    fun inject(cardsService: CardsService)

    fun inject(resetPasswordService: ResetPasswordService)
}
