package com.dev.lavin.domain2.boundaries

import com.dev.lavin.domain2.model.User


/**
 * Created by Jorge Lavin on 16/04/18.
 */

interface ProfileRepoInterface {

    fun getProfileInfo(id: String, profileResponseListener: ProfileResponseListener)

    interface ProfileResponseListener {

        fun onProfileSuccesResponse(user: User)

        fun onProfileUserNotFound()

        fun onProfileFailureAuth(message: String)
    }
}
