package com.dev.lavin.domain2.interactors.profile

import com.dev.lavin.domain2.model.User

/**
 * Created by Jorge Lavin on 16/04/18.
 */

interface ProfileInteractor {

    fun getProfileInfo(id: String, profileInteractorResponse: ProfileInteractorResponse)

    interface ProfileInteractorResponse {

        fun onProfileSuccesResponse(user: User)

        fun onProfileUserNotFound()

        fun onProfileFailureAuth(message: String)
    }
}