package com.dev.lavin.domain2.interactors.register

import android.net.Uri

/**
 * Created by Jorge Lavin on 16/04/18.
 */

interface RegisterInteractor {


    fun register(user: String, pass: String, name: String, url: Uri,
                 registerInteractorResponse: RegisterInteractorResponse)

    interface RegisterInteractorResponse {

        fun onRegisterInteractorSuccesResponse()

        fun onRegisterInteractorFailureAuth(message: String)

        fun onRegisterInteractorImageFailure(message: String)
    }
}
