package com.dev.lavin.domain2.interactors.resetpassword

/**
 * Created by Jorge Lavin on 16/04/18.
 */

interface ResetPasswordInteractor {

    fun resetPassword(email: String, resetPasswordInteractorResponse: ResetPasswordInteractorResponse)

    interface  ResetPasswordInteractorResponse {

        fun onResetPasswordSuccesResponse()

        fun onResetPasswordFailure(message: String)

        fun onResetPasswordUserNotFound()
    }
}